Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://psxdata-api.fastapicloud.dev/sectors
import requestsurl = "https://psxdata-api.fastapicloud.dev/sectors"response = requests.get(url)print(response.text)
const options = {method: 'GET'};fetch('https://psxdata-api.fastapicloud.dev/sectors', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "data": [ { "sector_code": "<string>", "sector_name": "<string>", "advance": 123, "decline": 123, "unchanged": 123, "turnover": 123, "market_cap_b": 123 } ], "meta": { "timestamp": "<string>", "cached": true, "count": 123 } }
Successful Response
Show child attributes
Metadata block for list responses. Always includes count.
Was this page helpful?